Subject: bug#21568: [PATCH] Add prettify-symbols-alist for js-mode

From: Dmitry Gutov <[email-masked]>
Date: Sun, 27 Sep 2015 17:11:37 +0300

On 09/27/2015 01:03 PM, Eli Zaretskii wrote:

> I don't see that as a bother, just as useful information that can do
> no harm.

I'd have been happy not be have been imparted this "information". 
Especially in the form it was presented: adding those cookies everywhere 
conflicts with that bit of knowledge I've had in my head that since some 
recent Emacs version having UTF-8 in Elisp files is not a problem.

We shouldn't treat them like that just because this problem occurs in 
other files. Nor bring it up in discussions on submitted patches.

There are other ways to raise awareness. Like CONTRIBUTE, which now 
features that information. Most contributors aren't going to touch 
anything but Elisp, ever.